org.apache.http.impl.client

## Class RequestWrapper

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.impl.client.RequestWrapper

- All Implemented Interfaces:
    HttpUriRequest ， HttpMessage ， HttpRequest
  已知直接子类：
    EntityEnclosingRequestWrapper

  已过时。
  （4.3）不要使用。

      @Deprecated
      public class RequestWrapper
      extends AbstractHttpMessage
      implements HttpUriRequest

  `HttpRequest`的包装类，可用于更改当前请求的属性，而无需修改原始对象。

  该类还可以将请求标头重置为原始请求的状态。

  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

      `headergroup, params`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `RequestWrapper(HttpRequest request)` 已过时。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()` 已过时。 中止请求的执行。
    `int` | `getExecCount()` 已过时。
    `String` | `getMethod()` 已过时。 返回该请求使用HTTP方法，如 `GET` ， `PUT` ， `POST` ，或其他。
    `HttpRequest` | `getOriginal()` 已过时。
    `ProtocolVersion` | `getProtocolVersion()` 已过时。
    `RequestLine` | `getRequestLine()` 已过时。
    `URI` | `getURI()` 已过时。 返回此请求使用的URI，如 `http://example.org/path/to/file` 。
    `void` | `incrementExecCount()` 已过时。
    `boolean` | `isAborted()` 已过时。 测试请求执行是否已中止。
    `boolean` | `isRepeatable()` 已过时。
    `void` | `resetHeaders()` 已过时。
    `void` | `setMethod(String method)` 已过时。
    `void` | `setProtocolVersion(ProtocolVersion version)` 已过时。
    `void` | `setURI(URI uri)` 已过时。

    - ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

- - ### 构造方法详细信息

    - #### RequestWrapper

          public RequestWrapper(HttpRequest request)
                         throws ProtocolException

      已过时。
      异常
        `ProtocolException`

  - ### 方法详细信息

    - #### resetHeaders

          public void resetHeaders()

      已过时。

    - #### getMethod

          public String getMethod()

      已过时。
      说明从界面： `HttpUriRequest`复制
      返回该请求使用HTTP方法，如 `GET` ， `PUT` ， `POST` ，或其他。
      Specified by:
        `getMethod`在界面 `HttpUriRequest`

    - #### setMethod

          public void setMethod(String method)

      已过时。

    - #### getProtocolVersion

          public ProtocolVersion getProtocolVersion()

      已过时。
      Specified by:
        `getProtocolVersion`在界面 `HttpMessage`

    - #### setProtocolVersion

          public void setProtocolVersion(ProtocolVersion version)

      已过时。

    - #### getURI

          public URI getURI()

      已过时。
      说明从界面： `HttpUriRequest`复制
      返回此请求使用的URI，例如`http://example.org/path/to/file` 。

      请注意，URI可以是绝对URI（如上所述），也可以是相对URI。

      鼓励实现返回最初请求的URI。

      在处理任何重定向后，要查找最终URI，请参阅HttpClient Tutorial中标题为HTTP execution context的部分

      Specified by:
        `getURI`在界面 `HttpUriRequest`

    - #### setURI

          public void setURI(URI uri)

      已过时。

    - #### getRequestLine

          public RequestLine getRequestLine()

      已过时。
      Specified by:
        `getRequestLine`在界面 `HttpRequest`

    - #### abort

          public void abort()
                     throws UnsupportedOperationException

      已过时。
      说明从界面： `HttpUriRequest`复制
      中止请求的执行。
      Specified by:
        `abort`在界面 `HttpUriRequest`
      异常
        `UnsupportedOperationException` - 如果不支持中止操作/无法实现。

    - #### isAborted

          public boolean isAborted()

      已过时。
      描述从界面： `HttpUriRequest`复制
      测试请求执行是否已中止。
      Specified by:
        `isAborted`在界面 `HttpUriRequest`
      结果
        `true`如果请求执行已中止，否则为 `false` 。

    - #### getOriginal

          public HttpRequest getOriginal()

      已过时。

    - #### isRepeatable

          public boolean isRepeatable()

      已过时。

    - #### getExecCount

          public int getExecCount()

      已过时。

    - #### incrementExecCount

          public void incrementExecCount()

      已过时。

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585